path: /build/build/nvidia-575-kernel-modules-kernel-6.1-575.51.02.package.tar.zst
dependencies: []
compilespec:
  steps:
  - sed -i -e 's|versionator||g'  /var/git/meta-repo/kits/core-kit/eclass/nvidia-driver.eclass
  - rm -vf /var/git/meta-repo/kits/core-gl-kit/x11-drivers/nvidia-drivers/*.ebuild
    && rm -vf /var/git/meta-repo/kits/core-gl-kit/x11-drivers/nvidia-kernel-modules/*.ebuild
    && anise repo update && anise upgrade -y && anise i -y x11-drivers-575/nvidia-drivers
    && anise cleanup && emerge =x11-drivers/nvidia-kernel-modules-575.51.02 -pv -t
  - |
    emerge -j ${JOBS} =x11-drivers/nvidia-kernel-modules-575.51.02
  - |
    eval 'rm -rf /nvidia-575-kernel-modules || true' && mkdir /nvidia-575-kernel-modules && \
    luet-portage --dir /nvidia-575-kernel-modules x11-drivers/nvidia-kernel-modules
  - for i in /nvidia-575-kernel-modules/lib/modules/nvidia/575.51.02/6.1.141-macaroni/video/*.ko
    ; do zstd ${i} -o ${i}.zst --rm ; done
  env:
  - FEATURES="-sandbox -usersandbox -ipc-sandbox -pid-sandbox -network-sandbox"
  prelude: []
  image: ""
  seed: docker-registry1.mottainai.local:5000/anise-macaroni-funtoo-dev-tree:af173e9713815cc312c9b24f1d327f7561530fb0c10504316ce8b4eb729ccedd
  package:
    name: nvidia-575-kernel-modules
    version: 575.51.02
    category: kernel-6.1
    requires:
    - name: kernel
      version: '>=0'
      category: seed-6.1
    annotations:
      kernel_module: true
    buildtimestamp: 2025-06-18 05:39:26.394313412 +0000 UTC m=+1004.454263099
    labels:
      emerge.packages: x11-drivers/nvidia-kernel-modules
      kernel.suffix: macaroni
      kernel.type: vanilla
      kernel.version: 6.1.141
      original.package.slot: "575"
      original.package.version: 575.51.02
    treedir: /build/packages
  package_dir: /nvidia-575-kernel-modules
  retrieve: []
  unpack: false
  includes: []
  excludes:
  - ^/var/db/pkg/
  - ^/var/cache/portage/
  - ^/var/git/
  - ^/usr/share/doc/
  - ^/etc/modprobe.d/
  - ^/lib/udev/
  build_options:
    pushimagerepository: docker-registry1.mottainai.local:5000/anise-macaroni-funtoo-dev-tree
    pullimagerepository:
    - luet/cache
    pullfirst: false
    keepimg: false
    push: false
    concurrency: 0
    compressiontype: ""
    wait: false
    onlydeps: false
    nodeps: false
    solveroptions: {}
    buildvaluesfile: []
    buildvalues:
    - arch: amd64
      commons-repo: macaroni-commons-dev
    packagetargetonly: false
    rebuild: false
    backendargs: []
    backendtype: ""
    templatesfolder: []
  copy: []
  requires_final_images: false
checksums:
  sha256: 801388b1a985ee6d07d21707db29e93a1ba8392c181b295a450a3ea485f6728f
compressiontype: zstd
files:
- lib/modules/nvidia/575.51.02/6.1.141-macaroni/video/nvidia-drm.ko.zst
- lib/modules/nvidia/575.51.02/6.1.141-macaroni/video/nvidia-modeset.ko.zst
- lib/modules/nvidia/575.51.02/6.1.141-macaroni/video/nvidia-uvm.ko.zst
- lib/modules/nvidia/575.51.02/6.1.141-macaroni/video/nvidia.ko.zst
package_cacheimage: ""
runtime:
  name: nvidia-575-kernel-modules
  version: 575.51.02
  category: kernel-6.1
  requires:
  - name: gpu-configurator
    version: '>=0'
    category: app-admin
  annotations:
    kernel_module: true
  labels:
    emerge.packages: x11-drivers/nvidia-kernel-modules
    kernel.suffix: macaroni
    kernel.type: vanilla
    kernel.version: 6.1.141
    original.package.slot: "575"
    original.package.version: 575.51.02
